Skip to main content

Unlock requests in default request queue

POST 

/v2/actor-runs/:runId/request-queue/requests/unlock

Unlocks requests in the default request queue of the Actor run that are currently locked by the client.

This endpoint is a shortcut for getting the run's defaultRequestQueueId and then using the Unlock requests endpoint.

Request

Path Parameters

    runId string required

    Actor run ID.


    Example: 3KH8gEpp4d8uQSe8T

Query Parameters

    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc

Status 200

Number of requests that were unlocked

{
"data": {
"unlockedCount": 10
}
}